org.apache.ignite.internal.util.future

## Class CountDownFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Void>
  - - org.apache.ignite.internal.util.future.CountDownFuture

All Implemented Interfaces:
  IgniteInternalFuture<Void>

    public class CountDownFuture
    extends GridFutureAdapter<Void>

### Constructor Summary

Constructors
Constructor and Description
`CountDownFuture(int cnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `afterDone()`
`boolean` `onDone(@Nullable Void res, @Nullable Throwable err)` Callback to notify that future is finished.

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CountDownFuture

    public CountDownFuture(int cnt)

Parameters:
  `cnt` - Number of completing parties.

### Method Detail

#### onDone

    public boolean onDone(@Nullable
                          @Nullable Void res,
                          @Nullable
                          @Nullable Throwable err)

Callback to notify that future is finished. Note that if non-`null` exception is passed in the result value will be ignored.

Overrides:
  `onDone` in class `GridFutureAdapter<Void>`
Parameters:
  `res` - Optional result.
  `err` - Optional error.
Returns:
  `True` if result was set by this call.

#### afterDone

    protected void afterDone()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020